//
//  Module:     shim.h
//
//  Purpose:    Define prototypes and datastructures for software shim handlers.
//
//  History:    07/14/99	Initial creation
//


struct RTL_ENTRY {
	char *				addr;
	long				calltype;
	char *				name;
};




long shim( struct VAX * vax );
long shim_declare( long code, void * entry );
long shim_init( void );


long lib_adawi( struct VAX * vax, long sum_addr, long base_addr, long sign_addr );
long str_upcase( struct VAX * vax, long dst_addr, long src_addr );